.post-block-wrap {
    overflow: hidden;
    border-radius: var(--theme-border-radius);
    color: var(--theme-white-color);
    background-color: var(--theme-secondary-color);
}

.post-block .visual {
    width: 100%;
    aspect-ratio: 1.2;
    position: relative;
}

.post-block .visual:after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 50% 50% 0 0;
    background-color: var(--theme-primary-color);
    opacity: 0;
    visibility: hidden;
}

.post-block .visual img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: contain;
    object-position: center bottom;
}

.post-block .visual.is-cover {
    border-radius: 10px;
    overflow: hidden;
}

.post-block .visual.is-cover img {
    object-fit: cover;
}

.post-block .description {
    padding: 30px;
    align-self: center;
}

.post-block .description-text a {
    position: relative;
    padding-left: 30px;
    display: table;
}

.post-block .description-text a[href^="mailto:"]:after,
.post-block .description-text a[href^="tel:"]:after {
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
    width: 22px;
    height: 22px;
    background-image: url('../../images/icon-phone-white.svg');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center center;
    transform: translateY(-50%);
}

.post-block .description-text a[href^="mailto:"]:after {
    background-image: url('../../images/icon-email-white.svg');
}

.post-block .description-content {
    align-self: center;
}

.post-block p {
    margin-bottom: 30px;
}

.post-block h2 {
    color: var(--theme-white-color);
}

.post-block .btn {
    margin-top: 25px;
}

.post-block .description-text p:last-child {
    margin-bottom: 0;
}

.post-block .description-text a:not(.btn) {
    font-size: 21px;
    font-weight: bold;
    color: var(--theme-primary-color);
    text-decoration: none;
}

.post-block .description-text a:not(.btn):hover {
    color: var(--theme-white-color);
}

@media (min-width: 768px) {
    .post-block {
        margin-top: var(--theme-section-margin);
        margin-bottom: var(--theme-section-margin);
    }

    .post-block-wrap {
        display: flex;
    }

    .post-block-wrap.is-right {
        flex-direction: row-reverse;
    }

    .post-block .visual {
        width: 35%;
    }

    .post-block .visual img {
        bottom: 0;
        left: 0;
        position: absolute;
        right: 0;
        top: 0;
    }

    .post-block .description {
        flex: 1;
        padding: 50px;
    }

    .post-block .description-text a:not(.btn) {
        font-size: 24px;
    }
}

@media (min-width: 1024px) {
    .post-block .description-text a[href^="mailto:"]:after,
    .post-block .description-text a[href^="tel:"]:after {
        width: 35px;
        height: 35px;
    }

    .post-block .description-text a {
        padding-left: 60px;
    }

    .post-block p {
        margin-right: -10px;
    }

    .post-block h2 {
        font-size: 42px;
    }

    .post-block h2.decor-07 {
        margin-bottom: 70px;
    }

    .post-block .btn {
        margin-top: 40px;
    }

    .post-block .description-text a[href^="mailto:"]:after,
    .post-block .description-text a[href^="tel:"]:after {
        width: 25px;
        height: 25px;
    }
}